#version 330 core

in vec3 position;
in vec2 uv;
in vec3 normal;

out vec3 Normal;
out vec2 fragmentUV;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

void main() {
	Normal = normalize(vec3(modelMatrix * vec4(normal,0.0)));
	fragmentUV = uv;
	gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(position, 1);
}